Page MenuHomeFreeBSD

Enable IPSEC_SUPPORT.
Needs ReviewPublic

Authored by delphij on Aug 1 2017, 3:13 PM.

Details

Summary

Enable IPSEC_SUPPORT.

Test Plan

build and load tcpmd5.ko

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

delphij created this revision.Aug 1 2017, 3:13 PM
ae edited edge metadata.Aug 1 2017, 3:52 PM

What it we replace IPSEC with IPSEC_SUPPORT?
Then the profit will have those

  • who doesn't use IPsec will not rebuild the kernel to avoid overhead
  • who want to use IPsec, they can do kldload ipsec
  • who want to use TCP-MD5, they can do kldload tcpmd5
ae added reviewers: gnn, network.Aug 1 2017, 3:53 PM
This revision is now accepted and ready to land.Aug 9 2017, 3:04 PM
glebius accepted this revision.Aug 9 2017, 4:13 PM
glebius requested changes to this revision.Aug 9 2017, 4:54 PM

Sorry for clicking wrong button. I'm seconding ae@: IPSEC_SUPPORT should remain, but IPSEC should be removed. The ipsec.ko and tcpmd5.ko should be loadable, not statically compiled in.

This revision now requires changes to proceed.Aug 9 2017, 4:54 PM

I'm seconding ae@: IPSEC_SUPPORT should remain, but IPSEC should be removed. The ipsec.ko and tcpmd5.ko should be loadable, not statically compiled in.

I'd be fine with both variants.

gnn accepted this revision.Aug 9 2017, 8:51 PM

Sure.

This revision was automatically updated to reflect the committed changes.
jpaetzel reopened this revision.Sep 1 2017, 5:07 PM
jpaetzel added a subscriber: jpaetzel.

I reverted this commit. We need more consensus before continuing.